import { UntypedFormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class FormValidatorService {
    constructor();
    /**Method to evaluate form fields*/
    isFieldValid(field: string, formGroup: UntypedFormGroup | any, firstAttempt?: boolean): any;
    /**Method to find error in form fields*/
    getErrorMessage(field: string, formGroup: UntypedFormGroup | any, errorMessages: any, errorField?: string): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormValidatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FormValidatorService>;
}
